## plastex 2.1

=== requirements.txt ===
certifi==2017.7.27.1
chardet==3.0.4
docopt==0.6.2
Jinja2>=2.10.1
Unidecode==0.4.21

=== Doc/Makefile ===
export TEXINPUTS=.:./commontex:./texinputs/:

pdf: plastex.tex
	pdflatex plastex
	pdflatex plastex
	makeindex plastex.idx
	pdflatex plastex


xhtml:
	plastex plastex

html5:
	plastex --renderer=HTML5 plastex

clean:
	rm -rf plastex *.idx *.ild *.ind *.paux *.aux *.out *.syn *.log *.toc plastex.pdf

## plastex 0.9.2

=== debian/changelog ===
plastex (0.9.2-1.2) unstable; urgency=low

  [ Stuart Prescott ]
  * Non-maintainer upload.
  * Replace python-imaging dependencies with python-pil (Closes: #866454).
  * Switch to source format 3.0 (quilt) so that the package actually builds
    following the svn to git-dpm conversion.

  [ Carl Fürstenberg ]
  * override lintian warning wrong-section-according-to-package-name, we stick
    in tex as it's 51% tex and 49% python.

  [ Bernd Zeimetz ]
  * --ignore-theme-extras was renamed to --no-theme-extras, update manpage.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org

 -- Stuart Prescott <stuart@debian.org>  Sat, 17 Feb 2018 11:31:00 +1100

plastex (0.9.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786244.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Aug 2015 15:00:53 +0200

plastex (0.9.2-1) unstable; urgency=low

  [ Carl Fürstenberg ]
  * New upstream release
  * Added patch to resolve problem copying of icons (Closes: #555123)
  * Migrate from Dpatch to Quilt
  * Bumping Standards-Version to 3.8.3 (no change)

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Carl Fürstenberg <azatoth@gmail.com>  Tue, 17 Nov 2009 17:30:15 +0100

plastex (0.9.1-1) unstable; urgency=low

  * New upstream release
  * CMYK color handling missing (Closes: #456555)
  * Bump Standards-Version to 3.8.0
     - adding README.Source to describe dpatch system
  * removed debug output from the plastex script left there from upstream 

 -- Carl Fürstenberg <azatoth@gmail.com>  Sat, 11 Oct 2008 23:59:42 +0200

plastex (0.9-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Carl Fürstenberg ]
  * New upstream release
  * Updated Standards-Version to 3.7.3
  * Added lintian override file for python-plastex package to override the
    python-package-should-be-section-python warning, as it's placed in section
    tex instead.
  * Changed doc-base to section Programming/Python
  * Fixed some spelling errors in control file
  * changed target of documentation from post-patches to 
    build/python-plastex-doc
  * Adding dvipng nad python-imaging as build depends to assure that the
    documenation is correctly generated.
  * Split stuff into Build-Depends-Indep

 -- Carl Fürstenberg <azatoth@gmail.com>  Mon, 07 Apr 2008 00:04:38 +0200

plastex (0.8.3-1) unstable; urgency=low

  * Initial release (Closes: #433162)

 -- Carl Fürstenberg <azatoth@gmail.com>  Wed, 01 Aug 2007 17:27:32 +0200

=== debian/control ===
Source: plastex
Section: tex
Priority: optional
Maintainer: Carl Fürstenberg <azatoth@gmail.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Git: https://salsa.debian.org/python-team/modules/plastex.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/plastex
Build-Depends: debhelper (>= 6.0.11), 
 cdbs (>= 0.4.52), 
 quilt, 
 dh-python,
 python-all-dev
Build-Depends-Indep: xsltproc (>= 1.1.21), 
 docbook-xsl (>= 1.72), 
 docbook-xml (>= 4.4), 
 libxml-libxml-perl, 
 texlive-base-bin, 
 dvipng, 
 python-pil
Standards-Version: 3.8.3
Homepage: http://plastex.sourceforge.net/

Package: python-plastex
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, texlive-latex-base, dvipng, python-pil
Recommends: python-kid, python-genshi, python-cheetah
Description: LaTeX document processing framework in Python
 plasTeX is a collection of Python frameworks that allow you to process LaTeX 
 documents. This processing includes, but is not limited to, conversion of
 LaTeX documents to various document formats. Of course, it is capable of
 converting to HTML or XML formats such as DocBook  and tBook, but it is an
 open framework that allows you to drive any type of rendering. This means that
 it could be used to drive a COM object that creates a MS Word Document.
 . 
 The plasTeX framework allows you to control all of the processes including
 tokenizing, object creation, and rendering through API calls. You also have
 access to all of the internals such as counters, the states of "if" commands,
 locally and globally defined macros, labels and references, etc. In essence,
 it is a LaTeX document processor that gives you the advantages of an XML
 document in the context of a language as superb as Python.

Package: python-plastex-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base
Description: LaTeX document processing framework in Python - documentation files
 plasTeX is a collection of Python frameworks that allow you to process LaTeX 
 documents. This processing includes, but is not limited to, conversion of
 LaTeX documents to various document formats. Of course, it is capable of
 converting to HTML or XML formats such as DocBook  and tBook, but it is an
 open framework that allows you to drive any type of rendering. This means that
 it could be used to drive a COM object that creates a MS Word Document.
 . 
 The plasTeX framework allows you to control all of the processes including
 tokenizing, object creation, and rendering through API calls. You also have
 access to all of the internals such as counters, the states of "if" commands,
 locally and globally defined macros, labels and references, etc. In essence,
 it is a LaTeX document processor that gives you the advantages of an XML
 document in the context of a language as superb as Python.
 .
 This packages provides the documentation files for python-plastex.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include $(CURDIR)/debian/mk/docbook-xml-manpage.mk

DOCBOOKXML_MANPAGE_SOURCES = debian/xml-man/plastex.xml

# We are here going to build the documentation using ourself,
# and as we hasn't installed plastex yet, we are executing the
# plastex script in the source.
build/python-plastex-doc::
	if [ ! -d html ]; then \
		cd Doc; \
		export PYTHONPATH=..; \
		export TEXINPUTS=.:$(CURDIR)/Doc/commontex:$(CURDIR)/Doc/texinputs; \
		../plasTeX/plastex plastex.tex; \
		cd ..; \
		mv Doc/plastex html; \
	fi;

clean::
	rm -rf html

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3


http://sf.net/plastex/(?i:plasTeX)-(.*)\.tgz

## plastex 1.0.0

=== debian/changelog ===
plastex (1.0.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * Remove debian/pycompat, it's not used by any modern Python helper
  * Convert git repository from git-dpm to gbp layout
  * d/watch: Use https protocol

  [ Stuart Prescott ]
  * Correctly import PIL
    Closes: #920584

  [ Andreas Tille ]
  * Set DPMT as maintainer instead of Uploader
  * Upstream moved from Sourceforge to Github
  * debhelper 12, short dh rules file
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Use pybuild
  * Remove outdated debian/pyversions
  * DEP5
  * Do not burn computing cycles to render manpage for every package build

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 13:50:23 +0100

=== debian/control ===
Source: plastex
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Carl Fürstenberg <azatoth@gmail.com>
Section: tex
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python-all
Build-Depends-Indep: texlive-base-bin,
                     dvipng,
                     python-pil
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/plastex
Vcs-Git: https://salsa.debian.org/python-team/modules/plastex.git
Homepage: https://github.com/tiarno/plastex

Package: python-plastex
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         texlive-latex-base,
         dvipng,
         python-pil
Recommends: python-kid,
            python-genshi,
            python-cheetah
Description: LaTeX document processing framework in Python
 plasTeX is a collection of Python frameworks that allow you to process LaTeX
 documents. This processing includes, but is not limited to, conversion of
 LaTeX documents to various document formats. Of course, it is capable of
 converting to HTML or XML formats such as DocBook  and tBook, but it is an
 open framework that allows you to drive any type of rendering. This means that
 it could be used to drive a COM object that creates a MS Word Document.
 .
 The plasTeX framework allows you to control all of the processes including
 tokenizing, object creation, and rendering through API calls. You also have
 access to all of the internals such as counters, the states of "if" commands,
 locally and globally defined macros, labels and references, etc. In essence,
 it is a LaTeX document processor that gives you the advantages of an XML
 document in the context of a language as superb as Python.

Package: python-plastex-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: doc-base
Description: LaTeX document processing framework in Python - documentation files
 plasTeX is a collection of Python frameworks that allow you to process LaTeX
 documents. This processing includes, but is not limited to, conversion of
 LaTeX documents to various document formats. Of course, it is capable of
 converting to HTML or XML formats such as DocBook  and tBook, but it is an
 open framework that allows you to drive any type of rendering. This means that
 it could be used to drive a COM object that creates a MS Word Document.
 .
 The plasTeX framework allows you to control all of the processes including
 tokenizing, object creation, and rendering through API calls. You also have
 access to all of the internals such as counters, the states of "if" commands,
 locally and globally defined macros, labels and references, etc. In essence,
 it is a LaTeX document processor that gives you the advantages of an XML
 document in the context of a language as superb as Python.
 .
 This package provides the documentation files for python-plastex.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = plastex

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installdocs:
	if [ ! -d html ]; then \
		cd Doc; \
		export PYTHONPATH=..; \
		export TEXINPUTS=.:$(CURDIR)/Doc/commontex:$(CURDIR)/Doc/texinputs; \
		../plasTeX/plastex plastex.tex; \
		cd ..; \
		mv Doc/plastex html; \
	fi;
	dh_installdocs

override_dh_clean:
	dh_clean
	rm -rf html

## plastex 2.1

=== debian/changelog ===
plastex (2.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Stuart Prescott ]
  * Include upstream patch for compatibility with Jinja2 3.1, with thanks to
    s3v <c0llapsed@yahoo.it> for the bug report and patch (Closes: #1032444).

 -- Stuart Prescott <stuart@debian.org>  Tue, 07 Mar 2023 21:34:39 +1100

plastex (2.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-plastex-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 18:29:55 -0400

plastex (2.1-2) unstable; urgency=medium

  * Only test with py3versions -s in autopkgtests
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Mar 2020 19:04:34 +1100

plastex (2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Stuart Prescott ]
  * New upstream version.
   - drop patches incorporated upstream.
   - add extra build-depends and suggests for tikz support.
  * Add additional patches to allow testing in place during build.

 -- Stuart Prescott <stuart@debian.org>  Fri, 13 Dec 2019 00:03:08 +1100

plastex (2.0.0+git20190916-2) unstable; urgency=medium

  * Upload to unstable.
  * Add patch from Chris Lamb to make build reproducible (Closes: #779595).

 -- Stuart Prescott <stuart@debian.org>  Fri, 25 Oct 2019 01:09:28 +1100

plastex (2.0.0+git20190916-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Stuart Prescott ]
  * New upstream release / git snapshot.
    - refresh patches
  * Add myself to Uploaders.
  * Remove Carl Fürstenberg, with thanks for previous maintenance of this
    package (Closes: #834394).
  * Switch to Python 3.
    - create binary package plastex for the command line utility
    - create python3-plastex for the modules
  * Add autopkgtest tests.
  * Add missing source for JQuery and use libjs-jquery package instead.
  * Bump Standards-Version to 4.4.1.

 -- Stuart Prescott <stuart@debian.org>  Thu, 10 Oct 2019 23:39:12 +1100

=== debian/control ===
Source: plastex
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
Build-Depends-Indep:
 dvipng,
 libjs-jquery,
 pdf2svg,
 python3-bs4,
 python3-chardet,
 python3-docopt,
 python3-jinja2,
 python3-pil,
 python3-unidecode,
 texlive-binaries,
 texlive-latex-base,
 texlive-latex-extra,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/plastex
Vcs-Git: https://salsa.debian.org/python-team/packages/plastex.git
Homepage: https://github.com/plastex/plastex
Rules-Requires-Root: no

Package: plastex
Architecture: all
Depends:
 python3,
 python3-plastex,
 ${misc:Depends}
Breaks:
 python-plastex
Replaces:
 python-plastex
Section: tex
Description: LaTeX document processing framework in Python
 plasTeX is a collection of Python frameworks that allow you to process LaTeX
 documents. This processing includes, but is not limited to, conversion of
 LaTeX documents to various document formats. Of course, it is capable of
 converting to HTML or XML formats such as DocBook and tBook, but it is an
 open framework that allows you to drive any type of rendering. This means that
 it could be used to drive a COM object that creates a MS Word Document.
 .
 The plasTeX framework allows you to control all of the processes including
 tokenizing, object creation, and rendering through API calls. You also have
 access to all of the internals such as counters, the states of "if" commands,
 locally and globally defined macros, labels and references, etc. In essence,
 it is a LaTeX document processor that gives you the advantages of an XML
 document in the context of a language as superb as Python.
 .
 This package contains the command line tool 'plastex'.

Package: python3-plastex
Architecture: all
Depends:
 dvipng,
 python3-chardet,
 python3-pil,
 python3-unidecode,
 texlive-latex-base,
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 libjs-jquery,
 python3-jinja2,
Suggests:
 pdf2svg,
 python3-cheetah,
 python3-genshi,
 texlive-latex-extra,
Replaces:
 python-plastex
Description: LaTeX document processing framework in Python - modules
 plasTeX is a collection of Python frameworks that allow you to process LaTeX
 documents. This processing includes, but is not limited to, conversion of
 LaTeX documents to various document formats. Of course, it is capable of
 converting to HTML or XML formats such as DocBook and tBook, but it is an
 open framework that allows you to drive any type of rendering. This means that
 it could be used to drive a COM object that creates a MS Word Document.
 .
 The plasTeX framework allows you to control all of the processes including
 tokenizing, object creation, and rendering through API calls. You also have
 access to all of the internals such as counters, the states of "if" commands,
 locally and globally defined macros, labels and references, etc. In essence,
 it is a LaTeX document processor that gives you the advantages of an XML
 document in the context of a language as superb as Python.
 .
 This package contains the Python 3 modules.

Package: python-plastex-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Suggests:
 doc-base
Multi-Arch: foreign
Description: LaTeX document processing framework in Python - documentation
 plasTeX is a collection of Python frameworks that allow you to process LaTeX
 documents. This processing includes, but is not limited to, conversion of
 LaTeX documents to various document formats. Of course, it is capable of
 converting to HTML or XML formats such as DocBook and tBook, but it is an
 open framework that allows you to drive any type of rendering. This means that
 it could be used to drive a COM object that creates a MS Word Document.
 .
 The plasTeX framework allows you to control all of the processes including
 tokenizing, object creation, and rendering through API calls. You also have
 access to all of the internals such as counters, the states of "if" commands,
 locally and globally defined macros, labels and references, etc. In essence,
 it is a LaTeX document processor that gives you the advantages of an XML
 document in the context of a language as superb as Python.
 .
 This package contains the documentation for both modules and command line
 tool.

=== debian/tests/control ===
Tests: plastex
Restrictions: allow-stderr
Depends:
 plastex,

Tests: python3-plastex
Restrictions: allow-stderr
Depends:
 libjs-jquery,
 pdf2svg,
 plastex,
 python3-all,
 python3-bs4,
 python3-chardet,
 python3-docopt,
 python3-jinja2,
 python3-plastex,
 python3-pytest,
 texlive-latex-extra,

## plastex 3.0

=== Doc/getting_started/Makefile ===
all: pdf html 

pdf: getting_started.tex
	pdflatex getting_started

html:
	plastex -c getting_started.cfg getting_started

clean:
	rm -rf getting_started *.idx *.ild *.ind *.paux *.aux *.out *.syn *.log *.toc getting_started.pdf

=== debian/changelog ===
plastex (3.0-3) unstable; urgency=medium

  * Handle multiple Python interpreters when building docs (Closes: #1058549).
  * Add new patch to not break PYTHONPATH during tests with non-default
    interpreter.

 -- Stuart Prescott <stuart@debian.org>  Thu, 14 Dec 2023 01:36:02 +1100

plastex (3.0-2) unstable; urgency=medium

  * Add patch to use lualatex rather than pdflatex in the test suite to avoid
    arch-specific (big-endian) failures on s390x, ppc64 etc, with thanks to
    David Bremner for the assistance in debugging.

 -- Stuart Prescott <stuart@debian.org>  Thu, 19 Oct 2023 22:55:24 +1100

plastex (3.0-1) unstable; urgency=medium

  * New upstream release.
    - drop patches applied upstream
    - add new patch to fix failing test due to svg to png conversion fragility
    - add new patch to include theme assets in the python module data
    - update build system for new release; use pyproject plugin
    - update build, binary, and autopkgtest dependencies
  * Add lots of lintian overrides.
  * Clean additional intermediate file from plastex to ensure complete
    cleaning of source (Closes: #1046939).
  * Update Standards-Version to 4.6.2 (no changes).

 -- Stuart Prescott <stuart@debian.org>  Thu, 05 Oct 2023 00:55:29 +1100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,32 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-pytest,
+ python3-setuptools,
 Build-Depends-Indep:
- dvipng,
+ dvipng <!nocheck>,
+ dvisvgm <!nocheck>,
+ imagemagick <!nocheck>,
  libjs-jquery,
+ libjs-mathjax,
+ librsvg2-bin <!nocheck>,
+ locales-all <!nocheck>,
  pdf2svg,
- python3-bs4,
- python3-chardet,
- python3-docopt,
+ poppler-utils <!nocheck>,
+ python3-bs4 <!nocheck>,
  python3-jinja2,
  python3-pil,
+ python3-pytest,
+ python3-typing-extensions,
  python3-unidecode,
  texlive-binaries,
+ texlive-extra-utils,
+ texlive-fonts-recommended,
  texlive-latex-base,
  texlive-latex-extra,
-Standards-Version: 4.6.1
+ texlive-xetex <!nocheck>,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/plastex
 Vcs-Git: https://salsa.debian.org/python-team/packages/plastex.git
 Homepage: https://github.com/plastex/plastex
@@ -60,7 +70,7 @@
 Architecture: all
 Depends:
  dvipng,
- python3-chardet,
+ python3-jinja2,
  python3-pil,
  python3-unidecode,
  texlive-latex-base,
@@ -68,7 +78,6 @@
  ${python3:Depends}
 Recommends:
  libjs-jquery,
- python3-jinja2,
 Suggests:
  pdf2svg,
  python3-cheetah,
@@ -97,6 +106,8 @@
 Architecture: all
 Section: doc
 Depends:
+ libjs-jquery,
+ libjs-mathjax,
  ${misc:Depends}
 Suggests:
  doc-base

=== debian/tests/control ===
Tests: plastex
Restrictions: allow-stderr
Depends:
 libjs-jquery,
 plastex,
 texlive-binaries,
 texlive-extra-utils,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-xetex,

Tests: python3-plastex
Restrictions: allow-stderr
Depends:
 dvipng,
 dvisvgm,
 imagemagick,
 libjs-jquery,
 librsvg2-bin,
 locales-all,
 pdf2svg,
 plastex,
 poppler-utils,
 python3-all,
 python3-bs4,
 python3-jinja2,
 python3-plastex,
 python3-pytest,
 texlive-binaries,
 texlive-extra-utils,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-xetex,

## plastex 3.1

=== requirements.txt ===
Jinja2>=2.10.1
Unidecode>=0.4.21
Pillow>=7

=== Doc/Makefile ===
export TEXINPUTS=.:./commontex:./texinputs/:

all: pdf html

pdf: plastex.tex
	pdflatex plastex
	pdflatex plastex
	makeindex plastex.idx
	pdflatex plastex

html:
	plastex plastex

xhtml:
	plastex --renderer=XHTML plastex

clean:
	rm -rf plastex *.idx *.ild *.ind *.paux *.aux *.out *.syn *.log *.toc plastex.pdf

=== debian/changelog ===
plastex (3.1-4) unstable; urgency=medium

  * Add b-d on ghostscipt to prevent FTBFS with the nocheck build profile
    (Closes: #1116835).

 -- Stuart Prescott <stuart@debian.org>  Wed, 01 Oct 2025 15:48:14 +1000

plastex (3.1-3) unstable; urgency=medium

  * Team upload.
  * Drop unused debian/mk/docbook-xml-manpage.mk CDBS fragment
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default value

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Sep 2025 00:00:33 +0200

plastex (3.1-2) unstable; urgency=medium

  * Reduce image size in test suite to prevent imagemagick hanging the build
    (Closes: #1101857)

 -- Stuart Prescott <stuart@debian.org>  Thu, 03 Apr 2025 17:38:37 +1100

plastex (3.1-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches, dropping patches applied upstream
    - add patch to drop a failing line from the documentation
  * Add patch to stop using old cgi module (Closes: #1084675).

 -- Stuart Prescott <stuart@debian.org>  Sun, 16 Mar 2025 12:32:26 +1100

plastex (3.0-5) unstable; urgency=medium

  * Update test suite to fix FTBFS with imagemagick-7 (Closes: #1086369).
  * Switch from librsvg2-bin to inkscape for svg to png conversion with
    imagemagick-7.
  * Add patch to relax comparisons with SVGs to handle new texlive output.
  * Add patch to fix SyntaxWarning (Closes: #1085780).

 -- Stuart Prescott <stuart@debian.org>  Mon, 11 Nov 2024 17:19:05 +1100

plastex (3.0-4) unstable; urgency=medium

  * Fix FTBFS with ghostscript 10.04.0~dfsg-1 by using pdftotext from
    poppler-utils in the test suite instead (Closes: #1082694).
  * Add ghostscript to d/t/control so that CI checks plastex when ghostscript
    uploads are performed.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 Sep 2024 11:51:59 +1000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
  dvipng <!nocheck>,
  dvisvgm <!nocheck>,
+ ghostscript,
  imagemagick <!nocheck>,
  libjs-jquery,
  libjs-mathjax,
@@ -32,11 +33,10 @@
  texlive-latex-base,
  texlive-latex-extra,
  texlive-xetex <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/plastex
 Vcs-Git: https://salsa.debian.org/python-team/packages/plastex.git
 Homepage: https://github.com/plastex/plastex
-Rules-Requires-Root: no
 
 Package: plastex
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = plastex

# building the docs needs the just-built plastex
export PLASTEXPATH = $(shell pybuild -p `py3versions -dv` --print {build_dir})
export PLASTEX = $(PLASTEXPATH)/../scripts/plastex

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	export PYTHONPATH=$(PLASTEXPATH); \
	  export TEXINPUTS=.:$(CURDIR)/Doc/commontex:$(CURDIR)/Doc/texinputs; \
	  cd Doc; \
	  $(PLASTEX) --mathjax-url=mathjax/MathJax.js?config=TeX-AMS_CHTML plastex.tex
	mv Doc/plastex html
	rm -rf html/.cache

override_dh_installdocs:
	dh_installdocs -ppython-plastex-doc --doc-main-package=python3-plastex
	dh_installdocs --remaining-packages

execute_after_dh_auto_install:
	mkdir -p debian/plastex/usr/
	mv debian/python3-plastex/usr/bin debian/plastex/usr/

execute_after_dh_fixperms:
	find debian/python3-plastex/usr/lib/python3/dist-packages -type f -exec chmod a-x {} +

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/plastex/plastex/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
